/**

 Implementation Canvas class
 Fraga 10/09/2000. From Board class 
 Fraga, Aug 29 2002

**/

#include <qpainter.h>
#include "canvas.h"


Canvas::Canvas( QWidget *parent, const char *name )
        : QWidget( parent, name )
{
    ang = 45;
    setPalette( QPalette( QColor( 250, 250, 200) ) );
	setMouseTracking( TRUE );
	px = py = 0;
}


void Canvas::setAngle( int degrees )
{
    if ( degrees < 5 )
	degrees = 5;
    if ( degrees > 70 )
	degrees = 70;
    if ( ang == degrees )
	return;
    ang = degrees;
    repaint();
//    emit angleChanged( ang );
}


void Canvas::paintEvent( QPaintEvent * )
{
    QString s = "Angle = " + QString::number( ang );
    QPainter p( this );
    p.drawText( 200, 200, s );

	line( &p );
}

void Canvas::mouseMoveEvent( QMouseEvent * e )
{
	QPoint c = e->pos( );  

	px = c.x( );
	py = c.y( );
	if ( px>=0 && py>=0 )  emit changePos ( );
}

QSizePolicy Canvas::sizePolicy() const
{
    return QSizePolicy( QSizePolicy::Expanding, QSizePolicy::Expanding );
}

void Canvas::line( QPainter *p )
{
	int x;

	for( x=0; x<100; x++ ) 
		p->drawPoint( x, x );
}
